#
# Conditional build:
%bcond_without	python	# Python 3 bindings
#
Summary:	An interface for SELinux management
Summary(pl.UTF-8):	Interfejs do zarządzania SELinuksem
Name:		libsemanage
Version:	3.7
Release:	1
License:	LGPL v2.1+
Group:		Libraries
#Source0Download: https://github.com/SELinuxProject/selinux/wiki/Releases
Source0:	https://github.com/SELinuxProject/selinux/releases/download/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	64e6b5cf945b9e45077b8051e7b88f93
Patch0:		%{name}-libexecdir.patch
URL:		https://github.com/SELinuxProject/selinux/wiki
BuildRequires:	audit-libs-devel
BuildRequires:	bison
BuildRequires:	bzip2-devel
BuildRequires:	flex
BuildRequires:	libselinux-devel >= 3.7
BuildRequires:	libsepol-devel >= 3.7
%{?with_python:BuildRequires:	python3-devel >= 1:3.2}
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	libselinux >= 3.7
Requires:	libsepol >= 3.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An interface for SELinux management.

%description -l pl.UTF-8
Interfejs do zarządzania SELinuksem.

%package devel
Summary:	Header files for libsemanage library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libsemanage
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header files for libsemanage library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki libsemanage.

%package static
Summary:	Static version of libsemanage library
Summary(pl.UTF-8):	Statyczna wersja biblioteki libsemanage
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libsemanage library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki libsemanage.

%package -n python3-semanage
Summary:	Python 3 binding for semanage library
Summary(pl.UTF-8):	Wiązania Pythona 3 do biblioteki semanage
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python3-selinux >= 3.7

%description -n python3-semanage
Python 3 binding for semanage library.

%description -n python3-semanage -l pl.UTF-8
Wiązania Pythona 3 do biblioteki semanage.

%prep
%setup -q
%patch0 -p1

%build
%{__make} -j1 all %{?with_python:pywrap} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} %{rpmcppflags} -Wall -fno-strict-aliasing" \
	LIBDIR=%{_libdir} \
	LIBEXECDIR=%{_libexecdir} \
	PYPREFIX=python3 \
	PYTHON=%{__python3}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install %{?with_python:install-pywrap} \
	LIBDIR=%{_libdir} \
	LIBEXECDIR=%{_libexecdir} \
	PYPREFIX=python3 \
	PYSITEDIR=%{py_sitedir} \
	PYTHON=%{__python3} \
	DESTDIR=$RPM_BUILD_ROOT

# changed in 2.4
install -d $RPM_BUILD_ROOT/%{_lib}
%{__mv} $RPM_BUILD_ROOT%{_libdir}/libsemanage.so.* $RPM_BUILD_ROOT/%{_lib}
# adjust .so symlink, make symlink across / absolute
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libsemanage.so.*) \
	$RPM_BUILD_ROOT%{_libdir}/libsemanage.so

%if %{with python}
%py3_comp $RPM_BUILD_ROOT%{py3_sitedir}
%py3_ocomp $RPM_BUILD_ROOT%{py3_sitedir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libsemanage.so.2
%dir %{_sysconfdir}/selinux
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/selinux/semanage.conf
%dir %{_libexecdir}/selinux
%{_mandir}/man5/semanage.conf.5*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsemanage.so
%{_pkgconfigdir}/libsemanage.pc
%{_includedir}/semanage
%{_mandir}/man3/semanage_*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libsemanage.a

%if %{with python}
%files -n python3-semanage
%defattr(644,root,root,755)
%attr(755,root,root) %{py3_sitedir}/_semanage.cpython-*.so
%{py3_sitedir}/semanage.py
%{py3_sitedir}/__pycache__/semanage.cpython-*.py[co]
%attr(755,root,root) %{_libexecdir}/selinux/semanage_migrate_store
%endif
%changelog
* Wed Jul 17 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libsemanage.git;a=log;h=auto/th/libsemanage-3.7-1

* Mon Jul 15 2024 Jakub Bogusz <qboosh@pld-linux.org> 6964731
- updated to 3.7

* Tue Jan 09 2024 Jan Palus <atler@pld-linux.org> 53b35cb
- up to 3.6 (new soname)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 8befa90
- rebuild with python 3.10

* Wed Jun 16 2021 Jan Palus <atler@pld-linux.org> c8ac5d0
- BR: audit-libs-devel

* Fri Jun 11 2021 Jakub Bogusz <qboosh@pld-linux.org> dced15d
- updated to 3.1 (20200710)
- python2 no longer supported upstream since 3.0; python-semanage v2.9 copied to python-semanage.spec

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 16d29c8
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> de15eb1
- rebuild with python 3.8
- release 2 (by relup.sh)

* Wed Aug 28 2019 Jakub Bogusz <qboosh@pld-linux.org> 003ab44
- package ru man page

* Thu Aug 22 2019 Marcin Krol <hawk@tld-linux.org> 9579452
- updated to 2.9

* Mon Jul 02 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 5ca9be8
- release 2 (by relup.sh)

* Sat Jun 09 2018 Jakub Bogusz <qboosh@pld-linux.org> a90263f
- updated to 2.8
- updated libexecdir patch

* Fri Dec 01 2017 Jakub Bogusz <qboosh@pld-linux.org> a888ae4
- use _libexecdir; note: _libexecdir setting must be consistent with policycoreutils.spec
- release 2

* Thu Nov 16 2017 Jakub Bogusz <qboosh@pld-linux.org> 5aadb0d
- updated to 2.7
- updated libexecdir patch

* Sat Feb 25 2017 Jan Rękorajski <baggins@pld-linux.org> 3b2506a
- up to 2.6

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 0ecf8ab
- python 3.6
- release 2 (by relup.sh)

* Sat Oct 15 2016 Jakub Bogusz <qboosh@pld-linux.org> 69350c5
- added python3 binding

* Fri Oct 07 2016 Jakub Bogusz <qboosh@pld-linux.org> 435a442
- updated to 2.5

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> ee2592f
- release 2 (by relup.sh)

* Sun Oct 25 2015 Jakub Bogusz <qboosh@pld-linux.org> be126f8
- new URLs, updated to 2.4
- added libexecdir patch to allow specifying LIBEXECDIR

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 528feaa
- x32 rebuild
- release 2 (by relup.sh)

